=== added file 'bzrlib/gpg.py'
--- bzrlib/gpg.py	1970-01-01 00:00:00 +0000
+++ bzrlib/gpg.py	2005-10-17 06:53:10 +0000
@@ -0,0 +1,30 @@
+# Copyright (C) 2005 by Canonical Ltd
+#   Authors: Robert Collins <robert.collins@canonical.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+"""GPG signing and checking logic."""
+
+import subprocess
+
+
+class GPGStrategy(object):
+    """GPG Signing and checking facilities."""
+        
+    def _command_line(self):
+        return self._config.gpg_signing_command() + ' --clearsign'
+
+    def __init__(self, config):
+        self._config = config

=== modified file 'bzrlib/selftest/testgpg.py'
--- bzrlib/selftest/testgpg.py	2005-10-17 04:27:17 +0000
+++ bzrlib/selftest/testgpg.py	2005-10-17 06:53:10 +0000
@@ -21,9 +21,18 @@
 import os
 import sys
 
-#import bzrlib specific imports here
+import bzrlib.gpg as gpg
 from bzrlib.selftest import TestCase, TestCaseInTempDir
 
+class FakeConfig(object):
+
+    def gpg_signing_command(self):
+        return "gnome-gpg"
+        
 
 class TestCommandLine(TestCase):
-    pass
+
+    def test_signing_command_line(self):
+        my_gpg = gpg.GPGStrategy(FakeConfig())
+        self.assertEqual('gnome-gpg --clearsign',
+                         my_gpg._command_line())

